#comment out if not prerelease
%global prel	5prealpha

%define major	3
%define admajor	3

%define libname		%mklibname %{name} %{major}
%define adlibname	%mklibname sphinxad %{admajor}
%define devname		%mklibname %{name} -d

# rel to bump
%define rel 12

Name:		sphinxbase
Version:	0.9
Release:	%mkrel %{?prel:0.0.%prel.}%{rel}
Summary:	The CMU Sphinx Recognition System
Group:		System/Libraries
License:	BSD and LGPLv2+
Url:		https://cmusphinx.github.io/
Source0:	https://downloads.sourceforge.net/cmusphinx/%{name}-%{?prel}%{?!prel:%version}.tar.gz
# https://github.com/cmusphinx/sphinxbase/pull/72
Patch0:		sphinxbase-5prealpha-fix-doxy2swig.patch
Patch1:		sphinxbase-swig4.2.patch
BuildRequires:	bison
BuildRequires:	doxygen
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	blas-devel
BuildRequires:	swig
BuildRequires:	texlive-dist
BuildRequires:	autoconf-archive
# for check
BuildRequires:	locales-fr

%description
The CMU Sphinx Recognition System is a library and a set
of examples and utilities for speech recognition.

This package contains the utilities.

%package -n %{libname}
Summary:	Shared components for Sphinx speech recognition
Group:		System/Libraries

%description -n %{libname}
This package contains the shared libraries for Sphinx speech recognition.

%package -n %{adlibname}
Summary:	Shared components for Sphinx speech recognition
Group:		System/Libraries

%description -n %{adlibname}
This package contains the shared libraries for Sphinx speech recognition.

%package -n %{devname}
Summary:	Header files for developing with The CMU Sphinx Recognition System
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{adlibname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the header files and examples for developing with
The CMU Sphinx Recognition System.

%package -n python3-%{name}
Summary:	Python 3 extension for The CMU Sphinx Recognition System
Group:		Development/Python
%{?python_provide:%python_provide python3-%{name}}

Obsoletes:	python-sphinxbase < 0.9-0.0.5prealpha.3
Provides:	python-sphinxbase = %{version}-%{release}
Obsoletes:	python2-sphinxbase < 0.9-0.0.5prealpha.5

%description -n python3-%{name}
This package contains the python 3 extension for The CMU Sphinx Recognition
System.

%prep
%autosetup -p1 -n %{name}-%{?prel}%{?!prel:%version}

%build
rm -Rf ./m4/ax_*.m4
autoreconf -vfi

%configure \
	--disable-static \
	--disable-rpath \
	--with-python=%{python3}
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

# man pages
mkdir -p %{buildroot}%{_mandir}/man1
install -pm644 doc/*.1 %{buildroot}%{_mandir}/man1/

%check
make check

%files
%{_bindir}/sphinx*
%{_mandir}/man1/sphinx*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{adlibname}
%{_libdir}/libsphinxad.so.%{admajor}{,.*}

%files -n python3-%{name}
%{python3_sitearch}/*

%files -n %{devname}
%doc doc/html/
%{_includedir}/%{name}/
%dir %{_datadir}/sphinxbase/
%dir %{_datadir}/sphinxbase/swig/
%{_datadir}/sphinxbase/swig/*.i
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/lib%{name}.so
%{_libdir}/libsphinxad.so


%changelog
* Tue Mar 04 2025 wally <wally> 0.9-0.0.5prealpha.12.mga10
+ Revision: 2160445
- rebuild for python3.13

* Thu Sep 26 2024 daviddavid <daviddavid> 0.9-0.0.5prealpha.11.mga10
+ Revision: 2101302
- add debian patch to fix build with swig 4.2

* Mon Dec 18 2023 papoteur <papoteur> 0.9-0.0.5prealpha.10.mga10
+ Revision: 2019032
- Mass Rebuild - Python 3.12

* Thu Jun 09 2022 papoteur <papoteur> 0.9-0.0.5prealpha.9.mga9
+ Revision: 1863744
- Fix build by detection of Python with autoconf
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ tv <tv>
- Rebuild for python-3.10

* Tue Mar 23 2021 daviddavid <daviddavid> 0.9-0.0.5prealpha.6.mga9
+ Revision: 1708111
- rebuild for python 3.9

* Fri Feb 14 2020 daviddavid <daviddavid> 0.9-0.0.5prealpha.5.mga8
+ Revision: 1517864
- xix doxy2swig with Python 3.8
- switch to python3
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Oct 02 2018 pterjan <pterjan> 0.9-0.0.5prealpha.4.mga7
+ Revision: 1314623
- Mageia 7 Mass Rebuild

* Sun Feb 04 2018 daviddavid <daviddavid> 0.9-0.0.5prealpha.3.mga7
+ Revision: 1198946
- rename python-sphinxbase to python2-sphinxbase

* Sun Feb 04 2018 wally <wally> 0.9-0.0.5prealpha.2.mga7
+ Revision: 1198914
- build against pulseaudio
- drop all .la files

* Sun Feb 04 2018 wally <wally> 0.9-0.0.5prealpha.1.mga7
+ Revision: 1198864
- new upstream version 0.9 5prealpha
- new lib major 3
- drop unneeded patches

* Mon Feb 08 2016 umeabot <umeabot> 0.8-8.mga6
+ Revision: 947943
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.8-7.mga5
+ Revision: 750576
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.8-6.mga5
+ Revision: 730174
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.8-5.mga5
+ Revision: 689284
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.8-3.mga4
+ Revision: 544602
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.8-2.mga4
+ Revision: 499890
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Jul 11 2013 wally <wally> 0.8-1.mga4
+ Revision: 453146
- new version 0.8
- drop upstreamed patch
- add patch from upstream to fix testsuite
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 18 2011 wally <wally> 0.7-1.mga2
+ Revision: 125958
- imported package sphinxbase

